Loading...
Searching...
No Matches
Opm::CompletedCells::Cell::Props Struct Reference

Property data of intersected cell. More...

`#include <CompletedCells.hpp>`

## Public Member Functions

bool | operator== (const Props &other) const
| Equality predicate.
template<class Serializer>
void | serializeOp (Serializer &serializer)
| Convert between byte array and object representation.

## Static Public Member Functions

static Props | serializationTestObject ()
| Create a serialisation test object.

## Public Attributes

std::size_t | active_index {}
| Cell's active index in the range [0 .
double | permx {}
| Cell's permeability component in the grid's X direction.
double | permy {}
| Cell's permeability component in the grid's Y direction.
double | permz {}
| Cell's permeability component in the grid's Z direction.
double | poro {}
| Cell's porosity.
double | ntg {}
| Cell's net-to-gross ratio.
int | satnum {}
| Cell's saturation region.
int | pvtnum {}
| Cell's PVT region index.

## Detailed Description

Property data of intersected cell.

## Member Function Documentation

## operator==()

bool Opm::CompletedCells::Cell::Props::operator== | ( | const Props & | other | ) | const

Equality predicate.

Parameters

  [in] | other | Object against which will be tested for equality.

Returns
  Whether or not
  is the same as `other`.

## serializeOp()

template<class Serializer>

void Opm::CompletedCells::Cell::Props::serializeOp | ( | Serializer & | serializer | ) |

inline

Convert between byte array and object representation.

Template Parameters

  Serializer | Byte array conversion protocol.

Parameters

  [in,out] | serializer | Byte array conversion object.

## Member Data Documentation

## active_index

std::size_t Opm::CompletedCells::Cell::Props::active_index {}

Cell's active index in the range [0 .

. #active).

Relative to current grid–e.g., an LGR or the main grid.

The documentation for this struct was generated from the following files:

- opm/input/eclipse/Schedule/CompletedCells.hpp
- opm/input/eclipse/Schedule/CompletedCells.cpp